/* gcc fake_key.c -lXtst */

#include <X11/extensions/XTest.h>

int
main(int argc, char **argv)
{
    Display *dpy;
    KeySym sym;
    KeyCode code;
    int i;

    dpy = XOpenDisplay(NULL);
    if (!dpy)
      return 1;

    for (i=1; i<argc; i++) {
      sym = XStringToKeysym(argv[i]);
      if (sym == NoSymbol)
        continue;
      code = XKeysymToKeycode(dpy, sym);
      if (code == 0)
        continue;
      XTestFakeKeyEvent(dpy, code, True, 0);
      XTestFakeKeyEvent(dpy, code, False, 0);
      XFlush(dpy);
    }

    XCloseDisplay(dpy);

    return 0;
}
